package com.bjlt.spider.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 亚航的app的请求的参数
 */


@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class RequestEntityVo implements Serializable{
    private static final long serialVersionUID = -561004261088705308L;


    /**
     * 出发城市
     */
    private String  fromCity;


    /**
     * 到达时间
     */
    private  String  retCity;
    /**
     * 出发时间
     */
    private String  fromDate;


    /**
     * 币种
     */
    private String   currency;
}
