package com.bjlt.spider.interfaces;

import com.bjlt.spider.entity.rate.ExchangeRateEntity;
import com.bjlt.spider.util.RespEntity;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;


/**
 * @author: luyanan0718@163.com
 * @create :2018/1/25 19:00
 * @introduce : 汇率
 **/
@FeignClient(value = "plugin-service", fallback = ExchangeRateRpcHysrix.class)
public interface ExchangeRateRpc {


	/**
	 * 获取汇率
	 *

	 * @return
	 */
	@RequestMapping(value = "/unionpay/getrate", method = RequestMethod.POST)
	RespEntity getRate(@RequestBody ExchangeRateEntity exchangeRateEntity);
}
