package com.bjlt.spider.airasia;

import com.bjlt.spider.entity.UserEntity;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.Map;

/**
 * @author: luyanan0718@163.com
 * @create :2018/2/28 10:47
 * @introduce :
 **/
@FeignClient(value = "plugin-service", fallback = AirasiaBigRpcHysrix.class)
public interface AirasiaBigRpc {




	/**
	 *  随机获取token值
	 *
	 * @return
	 */
	@RequestMapping(value = "/big/app/getrandomtoken", method = RequestMethod.POST)
	 Map<String, String> getRandomToken();


	/**
	 * 获取 token值
	 *
	 * @return
	 */
	@RequestMapping(value = "/big/app/gettoken", method = RequestMethod.POST)
	 Map<String,String> getToken(@RequestBody UserEntity userEntity);
}
