package com.bjlt.spider.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Map;

/**
 * 用户的实体类
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SpiderUserVo implements Serializable{


    private static final long serialVersionUID = 6538735203883065519L;
    /**
     * 网站名称
     */
   private  String appName;


    /**
     * 用户名
     */
   private String userName;

    /**
     * 密码
     */

   private String passWord;


    /**
     * 一些token 值，一般用于登录后的验证
     */
   private String token;


    /**
     * 签证
     */
    private String signature;


    /**
     * 一些附带的值
     */
   private Map<String,Object> data;
}


