package com.bjlt.spider.interfaces;

import com.bjlt.spider.entity.RequestEntityVo;
import com.bjlt.spider.entity.SpiderUserVo;
import com.bjlt.spider.entity.UserEntity;
import com.bjlt.spider.util.RespEntity;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;


@FeignClient(value = "plugin-service")
public interface PluginRpc {

    @RequestMapping(value = "/airaisApp/getScore", method = RequestMethod.POST)
    RespEntity getScore(SpiderUserVo user);

    @RequestMapping(value = "/airaisApp/getPrice", method = RequestMethod.POST)
    RespEntity getPrice(@RequestBody RequestEntityVo requestEntity, SpiderUserVo user);

    @RequestMapping(value = "/airaisApp/login", method = RequestMethod.POST)
    RespEntity login(@RequestBody  SpiderUserVo user);



    @RequestMapping(value = "/airaisApp/register", method = RequestMethod.POST)
    @ResponseBody
     RespEntity register(@RequestBody UserEntity userEntity);





}
